/b2b/transactions

B2B transactions list

Query Parameters
  • merchant_transaction_id
    Type: string

    Merchant transaction id

  • date_start
    Type: string

    Unix Timestamp search from

  • date_end
    Type: string

    Unix Timestamp search end

  • status
    Type: string

    Transaction status

  • show_retries
    Type: boolean

    Show retries transactions

  • limit
    Type: string

    Limit of rows max 50, min 5

  • offset
    Type: string

    Number of rows to skip

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/b2b/transactions
curl 'https://sandbox-api.mrcr.io/v1.6/b2b/transactions?merchant_transaction_id=&date_start=&date_end=&status=&show_retries=true&limit=50&offset=' \
  --header 'B2B-Bearer-Token: YOUR_SECRET_TOKEN'
{
  "status": 200,
  "total": 100,
  "next": "string",
  "prev": "string",
  "data": [
    {
      "user_uuid": "705003c9-fc18-4b79-9e2e-e4fa074f0add",
      "status": "succeeded",
      "crypto_currency": "BTC",
      "crypto_amount": "0.00234946",
      "fiat_currency": "EUR",
      "fiat_amount": "46.20",
      "total_amount": "48.10",
      "type": "caas_buy",
      "created_at": "2023-09-10 16:14:26",
      "updated_at": "2023-09-10 16:14:26",
      "merchant_transaction_id": "mti20221207114525769758",
      "fee": "1.90",
      "address": ""
    },
    {
      "user_uuid": "705003c9-fc18-4b79-9e2e-e4fa074f0add",
      "status": "succeeded",
      "crypto_currency": "",
      "crypto_amount": "0",
      "fiat_currency": "EUR",
      "fiat_amount": "65",
      "total_amount": "65",
      "type": "fiat_withdraw",
      "created_at": "2023-09-09 15:43:38",
      "updated_at": "2023-09-09 15:43:38",
      "merchant_transaction_id": "099cec2addfe55096",
      "fee": "0",
      "address": "",
      "beneficiary_swift": "FOUNGB21XXX",
      "beneficiary_name": "John Doe",
      "beneficiary_iban": "GB93FOUN00992200099100",
      "purpose": "Refund Tx 099cec04813259678",
      "beneficiary_country": ""
    },
    {
      "user_uuid": "705003c9-fc18-4b79-9e2e-e4fa074f0add",
      "status": "succeeded",
      "crypto_currency": "",
      "crypto_amount": "0",
      "fiat_currency": "EUR",
      "fiat_amount": "65.00",
      "total_amount": "65",
      "type": "fiat_deposit",
      "created_at": "2023-09-08 15:43:38",
      "updated_at": "2023-09-08 15:43:38",
      "merchant_transaction_id": "099cec04813259678",
      "fee": "0",
      "address": ""
    },
    {
      "user_uuid": "705003c9-fc18-4b79-9e2e-e4fa074f0add",
      "status": "succeeded",
      "crypto_currency": "",
      "crypto_amount": "0",
      "fiat_currency": "EUR",
      "fiat_amount": "5.00",
      "total_amount": "5.00",
      "type": "buy_iban",
      "created_at": "2023-09-07 15:40:33",
      "updated_at": "2023-09-07 15:40:33",
      "merchant_transaction_id": "099ceb71d12ad9906",
      "fee": "0",
      "address": "",
      "related_transaction": "099ceb70a59d23223"
    },
    {
      "user_uuid": "705003c9-fc18-4b79-9e2e-e4fa074f0add",
      "status": "succeeded",
      "crypto_currency": "BTC",
      "crypto_amount": "0.00115361",
      "fiat_currency": "EUR",
      "fiat_amount": "24.76",
      "total_amount": "25",
      "type": "buy_iban",
      "created_at": "2023-09-06 15:40:33",
      "updated_at": "2023-09-06 15:40:33",
      "merchant_transaction_id": "099ceb0cd84d60539",
      "fee": "0.24",
      "address": "mnwiTEgvn2FXg2jL6NmPmxjjAwPdDpAQGf",
      "network": "BITCOIN",
      "is_offchain": false,
      "blockchain_hash": "9af3534daf791022f535a395df2716be3b08ace94c8867e49074439705ce4e8c"
    },
    {
      "user_uuid": "17364f38-2b6f-45f0-b8f8-2a4c92f7f37e",
      "status": "succeeded",
      "crypto_currency": "BTC",
      "crypto_amount": "0.00020000",
      "fiat_currency": "EUR",
      "fiat_amount": "0",
      "total_amount": "4.24",
      "type": "withdraw",
      "created_at": "2023-09-05 15:40:33",
      "updated_at": "2023-09-05 15:40:33",
      "merchant_transaction_id": "caas_withdraw_2",
      "partner_fee": "0.00000100",
      "network_fee": "00000166",
      "fee": "0.00000266",
      "address": "tb1qaerat2eyr84retzk0907xasq252u6qnerr4vhx",
      "network": "BITCOIN",
      "is_offchain": false
    },
    {
      "user_uuid": "17364f38-2b6f-45f0-b8f8-2a4c92f7f37e",
      "status": "succeeded",
      "crypto_currency": "USDT",
      "crypto_amount": "53.676867",
      "fiat_currency": "EUR",
      "fiat_amount": "0",
      "total_amount": "50.02",
      "type": "deposit",
      "created_at": "2023-09-04 15:40:33",
      "updated_at": "2023-09-04 15:40:33",
      "merchant_transaction_id": "099e1cc6543993063",
      "fee": "0",
      "address": "0x7035daB80EF651d6c0e6aCEdD709a0d7Aa11fFC9",
      "network": "ETHEREUM",
      "is_offchain": true,
      "sender_uuid": "9e50c830-09eb-4faf-b321-f84a99c543ba",
      "sender_addresses": [
        "0x7035daB80EF651d6c0e6aCEdD709a0d7Aa11fFC9"
      ]
    },
    {
      "user_uuid": "20e464bd-886d-4fe4-bac4-4e2a8f6be8a9",
      "status": "pending",
      "crypto_currency": "BTC",
      "crypto_amount": "0.005",
      "fiat_currency": "EUR",
      "fiat_amount": "108.26",
      "total_amount": "112.72",
      "type": "sell_iban",
      "created_at": "2023-09-03 15:40:33",
      "updated_at": "2023-09-03 15:40:33",
      "merchant_transaction_id": "08aba2e8d689a5644",
      "fee": "4.46",
      "address": "2MvHamK2gsMtXsrxof5ZXBEqk7a1V5DjRKM",
      "network": "BITCOIN",
      "purpose": "TrxID: 08aba8e87cc088958",
      "is_offchain": false,
      "recipients": [
        {
          "sender_iban": "GB95FOUN00992200023501",
          "beneficiary_iban": "GB35FOUN00992200066000",
          "beneficiary_swift": "FOUNGB21XXX",
          "beneficiary_name": "John Doe",
          "beneficiary_country": "DE",
          "status": "succeeded",
          "created_at": "2022-08-08 15:40:24",
          "updated_at": "2022-08-08 15:40:27"
        }
      ],
      "blockchain_hash": "457e1ee9029591057e5256fc3df431199e407bb57032a62ccfbc2c843f392466"
    },
    {
      "user_uuid": "9e50c830-09eb-4faf-b321-f84a99c543ba",
      "status": "failed",
      "crypto_currency": "BTC",
      "crypto_amount": "0.00236435",
      "fiat_currency": "BRL",
      "fiat_amount": "187.00",
      "total_amount": "200.00",
      "type": "buy_card",
      "created_at": "2023-09-02 15:40:33",
      "updated_at": "2023-09-02 15:40:33",
      "merchant_transaction_id": "0a1caae33d0e50973",
      "fee": "13.00",
      "address": "",
      "network": "BITCOIN",
      "failed_reason": {
        "public_message": "Order fail",
        "message": "Cancelled by customer"
      }
    }
  ]
}